<core:FragmentDefinition  xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:l="sap.ui.layout" xmlns:t="sap.ui.table" xmlns:fr="sap.ui.layout.form" xmlns:u="sap.ui.unified">
<Dialog id="dlg_dialogGenerarDocumentoArqueo" title="Generar Documento Arqueo" contentWidth="37rem" icon="sap-icon://print">
    <content>
      <Panel>
        <content>
          <VBox class="sapUiSmallMargin">
            <fr:SimpleForm
              visible="true"
              editable="true"
              layout="ResponsiveGridLayout"
              labelSpanXL="4"
              labelSpanL="4"
              labelSpanM="4"
              labelSpanS="4"
              adjustLabelSpan="false"
              emptySpanXL="0"
              emptySpanL="6"
              emptySpanM="0"
              emptySpanS="0"
              columnsXL="4"
              columnsL="4"
              columnsM="4"
              singleContainerFullSize="false">
              <fr:content>
              <Label text="Imprimir Reporte" />
              <Select selectedKey="{path:'impresion>/iIdOpcionReporte', type : 'sap.ui.model.type.String', constraints : { minLength: 1, maxLength: 30 }}" fieldGroupIds="fieldValidImpresion" items="{ path : 'localModel>/aOpcionesImpresion' }">
                                        <core:Item key="{localModel>iId}" text="{localModel>sDescripcion}"/>
                                    </Select>
					
              </fr:content>
            </fr:SimpleForm>
          </VBox>
        </content>
      </Panel>
    </content>
    <beginButton>
      
      <Button text="Generar" type="Emphasized" ariaDescribedBy="acceptButtonDescription genericButtonDescription" press="onGenerarDlg_dialogGenerarDocumentoArqueo"/>
    </beginButton>
    <endButton>
      <Button text="Cerrar" ariaDescribedBy="acceptButtonDescription genericButtonDescription" press="onCerrarDlg_dialogGenerarDocumentoArqueo"/>
    </endButton>
  </Dialog>
  </core:FragmentDefinition>